# Uses of Interface
org.springframework.web.servlet.function.ServerResponse.SseBuilder

Packages that use ServerResponse.SseBuilder
Package
Description
org.springframework.web.servlet.function
Provides the types that make up Spring's functional web framework for Servlet environments.

## Uses of ServerResponse.SseBuilder in org.springframework.web.servlet.function

Methods in org.springframework.web.servlet.function that return ServerResponse.SseBuilder
Modifier and Type
Method
Description
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`comment(String comment)`
Add an SSE comment.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`event(String eventName)`
Add an SSE "event" line.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`id(String id)`
Add an SSE "id" line.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`onComplete(Runnable onCompletion)`
Register a callback to be invoked when the request completes.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`onError(Consumer<Throwable> onError)`
Register a callback to be invoked when an error occurs during processing.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`onTimeout(Runnable onTimeout)`
Register a callback to be invoked when a request times out.
`ServerResponse.SseBuilder`
ServerResponse.SseBuilder.`retry(Duration duration)`
Add an SSE "retry" line.
Method parameters in org.springframework.web.servlet.function with type arguments of type ServerResponse.SseBuilder
Modifier and Type
Method
Description
`static ServerResponse`
ServerResponse.`sse(Consumer<ServerResponse.SseBuilder> consumer)`
Create a server-sent event response.
`static ServerResponse`
ServerResponse.`sse(Consumer<ServerResponse.SseBuilder> consumer, Duration timeout)`
Create a server-sent event response.